View Issue Details

IDProjectCategoryView StatusLast Update
0018313LazarusIDEpublic2010-12-27 17:57
ReporterBenito van der ZanderAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build28822 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0018313: find dialog access violation
DescriptionSearching for the character strings "{%", "%-", "%---" causes an access violation.
Additional InformationIt works with "{", "%" and "{%?"
"%%" is searched as "%"
(enter without the ")
TagsNo tags attached.
Fixed in Revision28823
LazTarget0.9.30
WidgetsetGTK 2
Attached Files
  • backtrace.txt (2,638 bytes)
    #0  0x0012d422 in __kernel_vsyscall ()
    #1  0x0091b651 in raise () from /lib/tls/i686/cmov/libc.so.6
    #2  0x0091ea82 in abort () from /lib/tls/i686/cmov/libc.so.6
    #3  0x0095249d in ?? () from /lib/tls/i686/cmov/libc.so.6
    #4  0x009525c4 in __libc_fatal () from /lib/tls/i686/cmov/libc.so.6
    #5  0x00931f53 in vfprintf () from /lib/tls/i686/cmov/libc.so.6
    #6  0x009d2e62 in __vasprintf_chk () from /lib/tls/i686/cmov/libc.so.6
    #7  0x007c1abf in g_vasprintf () from /lib/libglib-2.0.so.0
    #8  0x007a0506 in g_strdup_vprintf () from /lib/libglib-2.0.so.0
    #9  0x003e72e3 in gtk_message_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
    #10 0x08210f88 in TGTK2WIDGETSET__PROMPTUSER (
        DIALOGCAPTION=0x8a924d0 'Not found', 
        DIALOGMESSAGE=0x2e27688 'Search string ''{%'' not found!', DIALOGTYPE=258, 
        BUTTONS=0x2e2c340, BUTTONCOUNT=1, DEFAULTINDEX=0, ESCAPERESULT=1, 
        this=<error reading variable>) at gtk2lclintf.inc:1116
    #11 0x0813ad8a in PROMPTUSER (DIALOGCAPTION=0x8a924d0 'Not found', 
        DIALOGMESSAGE=0x2e27688 'Search string ''{%'' not found!', DIALOGTYPE=258, 
        BUTTONS=0x2e2c340, BUTTONCOUNT=1, DEFAULTINDEX=0, ESCAPERESULT=1)
        at ./include/lclintf.inc:352
    #12 0x08220e79 in MESSAGEDLG (ACAPTION=0x8a924d0 'Not found', 
        AMSG=0x2e27688 'Search string ''{%'' not found!', DLGTYPE=MTINFORMATION, 
        BUTTONS=..., HELPCTX=0) at ./include/messagedialogs.inc:180
    #13 0x085af971 in TSOURCEEDITOR__DOFINDANDREPLACE (AFINDTEXT=0x2e2c6e8 '{%', 
        AREPLACETEXT=0x0, ANOPTIONS=..., this=<error reading variable>)
        at sourceeditor.pp:2705
    #14 0x085af25b in TSOURCEEDITOR__STARTFINDANDREPLACE (REPLACE=false, 
        this=<error reading variable>) at sourceeditor.pp:2584
    #15 0x085c0d30 in TSOURCEEDITORMANAGER__FINDCLICKED (SENDER=0x1b08f60, 
        this=<error reading variable>) at sourceeditor.pp:8250
    #16 0x08501a78 in TIDEMENUITEM__MENUITEMCLICK (SENDER=0x1242860, 
        this=<error reading variable>) at menuintf.pas:552
    #17 0x08504c8a in TIDEMENUCOMMAND__MENUITEMCLICK (SENDER=0x1242860, 
        this=<error reading variable>) at menuintf.pas:1622
    #18 0x081df63e in TMENUITEM__CLICK (this=<error reading variable>)
        at ./include/menuitem.inc:75
    #19 0x081dfc78 in TMENUITEM__DOCLICKED (MSG=void, 
        this=<error reading variable>) at ./include/menuitem.inc:269
    #20 0x0806c22a in SYSTEM_TOBJECT_$__DISPATCH$formal ()
    #21 0x081dfc40 in TMENUITEM__GETPARENTCOMPONENT (this=<error reading variable>)
        at ./include/menuitem.inc:258
    #22 0x0827f7b9 in DELIVERMESSAGE (TARGET=0x1242860, AMESSAGE=void)
        at gtk2proc.inc:3536
    #23 0x082f7ce2 in GTK2MENUITEMACTIVATE (WIDGET=0x8ec68f8, DATA=0x1242860)
        at gtk2wsmenus.pp:138
    
    
    backtrace.txt (2,638 bytes)

Relationships

related to 0018584 closedZeljan Rikalo Patches MessageDlg fails is message text contains <, > 

Activities

2010-12-25 21:55

 

backtrace.txt (2,638 bytes)
#0  0x0012d422 in __kernel_vsyscall ()
#1  0x0091b651 in raise () from /lib/tls/i686/cmov/libc.so.6
#2  0x0091ea82 in abort () from /lib/tls/i686/cmov/libc.so.6
#3  0x0095249d in ?? () from /lib/tls/i686/cmov/libc.so.6
#4  0x009525c4 in __libc_fatal () from /lib/tls/i686/cmov/libc.so.6
#5  0x00931f53 in vfprintf () from /lib/tls/i686/cmov/libc.so.6
#6  0x009d2e62 in __vasprintf_chk () from /lib/tls/i686/cmov/libc.so.6
#7  0x007c1abf in g_vasprintf () from /lib/libglib-2.0.so.0
#8  0x007a0506 in g_strdup_vprintf () from /lib/libglib-2.0.so.0
#9  0x003e72e3 in gtk_message_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x08210f88 in TGTK2WIDGETSET__PROMPTUSER (
    DIALOGCAPTION=0x8a924d0 'Not found', 
    DIALOGMESSAGE=0x2e27688 'Search string ''{%'' not found!', DIALOGTYPE=258, 
    BUTTONS=0x2e2c340, BUTTONCOUNT=1, DEFAULTINDEX=0, ESCAPERESULT=1, 
    this=<error reading variable>) at gtk2lclintf.inc:1116
#11 0x0813ad8a in PROMPTUSER (DIALOGCAPTION=0x8a924d0 'Not found', 
    DIALOGMESSAGE=0x2e27688 'Search string ''{%'' not found!', DIALOGTYPE=258, 
    BUTTONS=0x2e2c340, BUTTONCOUNT=1, DEFAULTINDEX=0, ESCAPERESULT=1)
    at ./include/lclintf.inc:352
#12 0x08220e79 in MESSAGEDLG (ACAPTION=0x8a924d0 'Not found', 
    AMSG=0x2e27688 'Search string ''{%'' not found!', DLGTYPE=MTINFORMATION, 
    BUTTONS=..., HELPCTX=0) at ./include/messagedialogs.inc:180
#13 0x085af971 in TSOURCEEDITOR__DOFINDANDREPLACE (AFINDTEXT=0x2e2c6e8 '{%', 
    AREPLACETEXT=0x0, ANOPTIONS=..., this=<error reading variable>)
    at sourceeditor.pp:2705
#14 0x085af25b in TSOURCEEDITOR__STARTFINDANDREPLACE (REPLACE=false, 
    this=<error reading variable>) at sourceeditor.pp:2584
#15 0x085c0d30 in TSOURCEEDITORMANAGER__FINDCLICKED (SENDER=0x1b08f60, 
    this=<error reading variable>) at sourceeditor.pp:8250
#16 0x08501a78 in TIDEMENUITEM__MENUITEMCLICK (SENDER=0x1242860, 
    this=<error reading variable>) at menuintf.pas:552
#17 0x08504c8a in TIDEMENUCOMMAND__MENUITEMCLICK (SENDER=0x1242860, 
    this=<error reading variable>) at menuintf.pas:1622
#18 0x081df63e in TMENUITEM__CLICK (this=<error reading variable>)
    at ./include/menuitem.inc:75
#19 0x081dfc78 in TMENUITEM__DOCLICKED (MSG=void, 
    this=<error reading variable>) at ./include/menuitem.inc:269
#20 0x0806c22a in SYSTEM_TOBJECT_$__DISPATCH$formal ()
#21 0x081dfc40 in TMENUITEM__GETPARENTCOMPONENT (this=<error reading variable>)
    at ./include/menuitem.inc:258
#22 0x0827f7b9 in DELIVERMESSAGE (TARGET=0x1242860, AMESSAGE=void)
    at gtk2proc.inc:3536
#23 0x082f7ce2 in GTK2MENUITEMACTIVATE (WIDGET=0x8ec68f8, DATA=0x1242860)
    at gtk2wsmenus.pp:138

backtrace.txt (2,638 bytes)

Vincent Snijders

2010-12-25 21:59

manager   ~0044588

The crash seems to come from TGTK2WIDGETSET.PROMPTUSER. Maybe gtk2 tries to format that string and % isn't followed by a format specifier.

Zeljan Rikalo

2010-12-26 12:05

developer   ~0044596

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-12-25 14:17 Benito van der Zander New Issue
2010-12-25 14:17 Benito van der Zander Widgetset => GTK 2
2010-12-25 21:55 Vincent Snijders File Added: backtrace.txt
2010-12-25 21:59 Vincent Snijders LazTarget => 0.9.30
2010-12-25 21:59 Vincent Snijders Note Added: 0044588
2010-12-25 21:59 Vincent Snijders Assigned To => Zeljan Rikalo
2010-12-25 21:59 Vincent Snijders Status new => confirmed
2010-12-25 21:59 Vincent Snijders Target Version => 0.9.30
2010-12-26 12:05 Zeljan Rikalo Fixed in Revision => 28823
2010-12-26 12:05 Zeljan Rikalo Status confirmed => resolved
2010-12-26 12:05 Zeljan Rikalo Resolution open => fixed
2010-12-26 12:05 Zeljan Rikalo Note Added: 0044596
2010-12-27 13:40 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2010-12-27 17:57 Benito van der Zander Status resolved => closed
2011-01-22 13:34 Zeljan Rikalo Relationship added related to 0018584